Something wrong with 2.11 distro? <FIXED>

For anyone running into the same issue:

There seems to be something wrong with the distro version 2.11 (FreePBX-3.211.63-8-x86_64-Full-1366673197.iso).

The installation fails with a firstboot error. Internet connectivity is fine, tested on 2 environments, both running as vSphere 5.1 v8 VM’s. The Asterisk version selection doesn’t matter (1.8, 10 or 11).

This may be temporary and might be fixed with a repository change. I first encountered it on the 16th of may 2013.

I did a manual 2.11 FreePBX svn checkout and did an install_amp from that, the web GUI then worked, but none of the modules were installed, enabling them manually resulted in DB errors, so this path didn’t lead to a sound setup. I reverted to 2.10 and upgraded it to 2.11.

Below the firstboot log, though it’s not directly apparent to me what the root cause is:

#INCLUDING stringent.sh # stringent.sh copyright michael potter 2008

stringent.sh is intended to reduce the problems associated with

using bash by turning on bash options that make errors more

apparent. This will not eliminate problems and I am sure there

is some case where some problem will be made worse.

USE AT YOUR OWN RISK.

set -o errexit # errexit first

  • set -o errexit
    set -o noclobber
  • set -o noclobber
    set -o nounset
  • set -o nounset
    set -o pipefail # if you fail on this line, get a newer version of bash.
  • set -o pipefail

function traperr
{
declare -i i;
declare -i nestlevel;
declare Message=${1:-""}

nestlevel=${#FUNCNAME[@]}

if (( $nestlevel <= 2 ))
then
echo “ERROR: ${BASH_SOURCE[1]}:${BASH_LINENO[0]} $Message” >&2
else
echo “ERROR: ${FUNCNAME[1]}(${BASH_SOURCE[1]}:~${BASH_LINENO[0]}) $Message” >&2
for (( i = 2 ; i < $nestlevel ; i++ ))
do
echo " ${FUNCNAME[$i]}(${BASH_SOURCE[$i]}:~${BASH_LINENO[($i-1)]})" >&2
done
fi

if BASH_SUBSHELL is 0, then script will exit anyway.

if (( $BASH_SUBSHELL >= 3 ))
then
kill $$
fi
echo -e “Some firstboot error occured, and the system is not properly setup.\nCheck to see if you have internet access and re-run /etc/pbx_first_boot.sh\nPress ctrl-alt-f1 to continue” >> /dev/tty8
exit 1
}

function traperrsimple
{

Use this function if the above function fails

echo “ERROR: ${BASH_SOURCE[0]} ${LINENO}” >&2

if BASH_SUBSHELL is 0, then script will exit anyway.

if (( $BASH_SUBSHELL >= 1 ))
then
kill $$
fi
}

set -o errtrace

  • set -o errtrace
    trap traperr ERR
  • trap traperr ERR

function errexiton
{
set -o errexit
trap traperr ERR
}

function errexitoff
{
set +o errexit
trap ‘’ ERR
}
#END INCLUDE

test for internet and send back to freepbx

log_info “Testing for internet access”

  • log_info ‘Testing for internet access’
  • echo ‘Testing for internet access’
    INTERFACE=$(ip route show | awk ’ /^default/ { print $5 }’)
    ip route show | awk ’ /^default/ { print $5 }’)
    ip route show | awk ’ /^default/ { print $5 }’
    ++ awk ’ /^default/ { print $5 }’
    ++ ip route show
  • INTERFACE=eth0
    MACADDR=$(ip -o link show ${INTERFACE} | awk ‘/link/ {print $13}’)
    ip -o link show ${INTERFACE} | awk ‘/link/ {print $13}’)
    ip -o link show ${INTERFACE} | awk ‘/link/ {print $13}’
    ++ awk ‘/link/ {print $13}’
    ++ ip -o link show eth0
  • MACADDR=00:50:56:a8:2c:05
    MACHASH=$(echo -en ${MACADDR} | md5sum - | awk ‘/-/ {print $1}’)
    echo -en ${MACADDR} | md5sum - | awk ‘/-/ {print $1}’)
    echo -en ${MACADDR} | md5sum - | awk ‘/-/ {print $1}’
    ++ awk ‘/-/ {print $1}’
    ++ md5sum -
    ++ echo -en 00:50:56:a8:2c:05
  • MACHASH=d9e282dce73f75efda6a92edb62a8071
    ARCH=$(uname -m)
    uname -m)
    uname -m
    ++ uname -m
  • ARCH=x86_64
    FREEPBXVERS=$(head -n 1 /etc/schmooze/pbx-version)
    head -n 1 /etc/schmooze/pbx-version)
    head -n 1 /etc/schmooze/pbx-version
    ++ head -n 1 /etc/schmooze/pbx-version
  • FREEPBXVERS=3.211.63-8
    INSTALLTYPE=$(cat /installed-version | sed -e ‘s/.kickstart-([^.])./\1/’)
    cat /installed-version | sed -e 's/.kickstart-([^.]).
    /\1/’)
    cat /installed-version | sed -e ‘s/.kickstart-([^.])./\1/’
    ++ sed -e 's/.kickstart-([^.]).
    /\1/’
    ++ cat /installed-version
  • INSTALLTYPE=raid-asterisk10
    BRAND=$(head -n 1 /etc/schmooze/pbx-brand)
    head -n 1 /etc/schmooze/pbx-brand)
    head -n 1 /etc/schmooze/pbx-brand
    ++ head -n 1 /etc/schmooze/pbx-brand
  • BRAND=FreePBXDistro
    UARETURN=$(curl -s -m 30 -A “FreePBX Firstboot ${BRAND}-${FREEPBXVERS} ${ARCH} ${INSTALLTYPE}” --data mac=${MACADDR} --data mhash=${MACHASH} http://kickstart.freepbxdistro.org/install-log/)
    curl -s -m 30 -A “FreePBX Firstboot ${BRAND}-${FREEPBXVERS} ${ARCH} ${INSTALLTYPE}” --data mac=${MACADDR} --data mhash=${MACHASH} http://kickstart.freepbxdistro.org/install-log/)
    curl -s -m 30 -A “FreePBX Firstboot ${BRAND}-${FREEPBXVERS} ${ARCH} ${INSTALLTYPE}” --data mac=${MACADDR} --data mhash=${MACHASH} http://kickstart.freepbxdistro.org/install-log/
    ++ curl -s -m 30 -A ‘FreePBX Firstboot FreePBXDistro-3.211.63-8 x86_64 raid-asterisk10’ --data mac=00:50:56:a8:2c:05 --data mhash=d9e282dce73f75efda6a92edb62a8071 http://kickstart.freepbxdistro.org/install-log/
  • UARETURN=’{“status”:“passed”,“data”:{“ua”:“FreePBX Firstboot FreePBXDistro-3.211.63-8 x86_64 raid-asterisk10”,“ipaddr”:“217.123.89.178”,“test”:0,“mac”:“00:50:56:a8:2c:05”,“mhash”:“d9e282dce73f75efda6a92edb62a8071”}}’

echo ${UARETURN} | grep ‘passed’

  • grep passed
  • echo ‘{“status”:“passed”,“data”:{“ua”:"FreePBX’ Firstboot FreePBXDistro-3.211.63-8 x86_64 ‘raid-asterisk10",“ipaddr”:“217.123.89.178”,“test”:0,“mac”:“00:50:56:a8:2c:05”,“mhash”:“d9e282dce73f75efda6a92edb62a8071”}}’
    {“status”:“passed”,“data”:{“ua”:“FreePBX Firstboot FreePBXDistro-3.211.63-8 x86_64 raid-asterisk10”,“ipaddr”:“217.123.89.178”,“test”:0,“mac”:“00:50:56:a8:2c:05”,“mhash”:“d9e282dce73f75efda6a92edb62a8071”}}

known good return{“status”:“passed”,“data”:{“ua”:“FreePBX Firstboot FreePBX-1.810.210.57 i386 raid”,“ipaddr”:“98.92.113.190”,“mac”:“00:13:e8:dc:ba:47”,“mhash”:“b95057354699ec012de93ac1b833ffd4”,“test”:1}}

errexitoff

  • errexitoff
  • set +o errexit
  • trap ‘’ ERR

Setup logger

remove logger.conf so FreePBX can symlink to it

log_info “Cleaning up logging configuration”

  • log_info ‘Cleaning up logging configuration’
  • echo 'Cleaning up logging configuration’
    rm -rf /etc/asterisk/logger.conf
  • rm -rf /etc/asterisk/logger.conf

Install FreePBX RPM

log_info “Please wait while we install FreePBX GUI”

  • log_info ‘Please wait while we install FreePBX GUI’
  • echo 'Please wait while we install FreePBX GUI’
    log_info " This can take anywhere from 5-10 minutes"
  • log_info ’ This can take anywhere from 5-10 minutes’
  • echo ’ This can take anywhere from 5-10 minutes’
    /usr/bin/yum -q -y install freepbx-2.11*
  • /usr/bin/yum -q -y install ‘freepbx-2.11*‘
    Asterisk is already running.
    Starting mysqld: e[60G[e[0;32m OK e[0;39m]
    mv: cannot stat /usr/src/freepbx': No such file or directory *** Checking mysql... Setting up mysql... cp: cannot stat/usr/src/freepbx-2.11.0/amp_conf/astetc/*’: No such file or directory
    *** Installing FreePBX
    PHP Warning: date_default_timezone_get(): It is not safe to rely on the system’s timezone settings. You are required to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected ‘Etc/GMT+1’ for ‘GMT+1/-1.0/no DST’ instead in /usr/src/freepbx-2.11.0/amp_conf/htdocs/admin/libraries/utility.functions.php on line 76
    PHP Warning: copy(/etc/asterisk/voicemail.conf.template): failed to open stream: No such file or directory in /usr/src/freepbx-2.11.0/install_amp on line 1333
    sh: /var/lib/asterisk/bin/freepbx_engine: No such file or directory
    sh: /var/lib/asterisk/bin/freepbx_setting: No such file or directory
    sh: /var/lib/asterisk/bin/freepbx_setting: No such file or directory
    sh: /var/lib/asterisk/bin/freepbx_setting: No such file or directory
    sh: /var/lib/asterisk/bin/freepbx_setting: No such file or directory
    sh: /var/lib/asterisk/bin/freepbx_setting: No such file or directory
    sh: /var/lib/asterisk/bin/freepbx_setting: No such file or directory
    sed: can’t read /etc/asterisk/manager.conf: No such file or directory
    sed: can’t read /etc/asterisk/manager.conf: No such file or directory
    PHP Warning: Invalid argument supplied for foreach() in /var/www/html/admin/libraries/freepbx_conf.class.php on line 934
    PHP Warning: parse_ini_file(/etc/asterisk/cdr_mysql.conf): failed to open stream: No such file or directory in /usr/src/freepbx-2.11.0/upgrades/2.10.0beta3/migration.php on line 33
    PHP Warning: file(/etc/asterisk/manager.conf): failed to open stream: No such file or directory in /usr/src/freepbx-2.11.0/upgrades/2.10.1/migration.php on line 30
    PHP Warning: parse_ini_file(/etc/asterisk/rtp.conf): failed to open stream: No such file or directory in /usr/src/freepbx-2.11.0/upgrades/2.11.0rc1/migration.php on line 16
    PHP Warning: rename(/etc/asterisk/res_odbc.conf,/etc/asterisk/res_odbc_custom.conf): No such file or directory in /usr/src/freepbx-2.11.0/upgrades/2.11.0rc1/migration.php on line 44
    PHP Warning: unlink(/etc/asterisk/res_odbc.conf): No such file or directory in /usr/src/freepbx-2.11.0/upgrades/2.11.0rc1/migration.php on line 51
    sudo: /var/lib/asterisk/bin/retrieve_conf: command not found
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    sh: /var/lib/asterisk/bin/module_admin: No such file or directory
    touch: cannot touch /var/www/html/panel/op_buttons_additional.cfg': No such file or directory touch: cannot touch/var/www/html/panel/op_buttons_custom.cfg’: No such file or directory
    httpd: Could not reliably determine the server’s fully qualified domain name, using localhost.localdomain for ServerName
    *** FreePBX installed!

Enable modules that in 2.11 are not being enabled from the RPM

log_info " … Enabling Asterisk modules"

  • log_info ’ … Enabling Asterisk modules’
  • echo ’ … Enabling Asterisk modules’
    sudo -u asterisk /var/lib/asterisk/bin/module_admin enable fw_ari
  • sudo -u asterisk /var/lib/asterisk/bin/module_admin enable fw_ari
    sudo: /var/lib/asterisk/bin/module_admin: command not found
    sudo -u asterisk /var/lib/asterisk/bin/module_admin enable framework
  • sudo -u asterisk /var/lib/asterisk/bin/module_admin enable framework
    sudo: /var/lib/asterisk/bin/module_admin: command not found
    sudo -u asterisk /var/lib/asterisk/bin/module_admin disable fw_fop
  • sudo -u asterisk /var/lib/asterisk/bin/module_admin disable fw_fop
    sudo: /var/lib/asterisk/bin/module_admin: command not found
    sudo -u asterisk /var/lib/asterisk/bin/retrieve_conf
  • sudo -u asterisk /var/lib/asterisk/bin/retrieve_conf
    sudo: /var/lib/asterisk/bin/retrieve_conf: command not found
    sudo -u asterisk /var/lib/asterisk/bin/module_admin reload
  • sudo -u asterisk /var/lib/asterisk/bin/module_admin reload
    sudo: /var/lib/asterisk/bin/module_admin: command not found

pull in all freepbx modules and load them

log_info " … Loading all FreePBX modules"

  • log_info ’ … Loading all FreePBX modules’
  • echo ’ … Loading all FreePBX modules’
    which amportal chown
    which amportal
    ++ which amportal
    which: no amportal in (/sbin:/usr/sbin:/bin:/usr/bin)
  • chown
    chown: missing operand
    Try `chown --help’ for more information.

Install all core modules and reload

sudo -u asterisk /var/lib/asterisk/bin/module_admin installall

  • sudo -u asterisk /var/lib/asterisk/bin/module_admin installall
    sudo: /var/lib/asterisk/bin/module_admin: command not found
    sudo -u asterisk /var/lib/asterisk/bin/module_admin installall
  • sudo -u asterisk /var/lib/asterisk/bin/module_admin installall
    sudo: /var/lib/asterisk/bin/module_admin: command not found
    sudo -u asterisk /var/lib/asterisk/bin/module_admin installall
  • sudo -u asterisk /var/lib/asterisk/bin/module_admin installall
    sudo: /var/lib/asterisk/bin/module_admin: command not found
    sudo -u asterisk /var/lib/asterisk/bin/retrieve_conf
  • sudo -u asterisk /var/lib/asterisk/bin/retrieve_conf
    sudo: /var/lib/asterisk/bin/retrieve_conf: command not found
    sudo -u asterisk /var/lib/asterisk/bin/module_admin reload
  • sudo -u asterisk /var/lib/asterisk/bin/module_admin reload
    sudo: /var/lib/asterisk/bin/module_admin: command not found

Install Misc non Core modules and reload

sudo -u asterisk /var/lib/asterisk/bin/module_admin download sysadmin

  • sudo -u asterisk /var/lib/asterisk/bin/module_admin download sysadmin
    sudo: /var/lib/asterisk/bin/module_admin: command not found
    sudo -u asterisk /var/lib/asterisk/bin/module_admin install sysadmin
  • sudo -u asterisk /var/lib/asterisk/bin/module_admin install sysadmin
    sudo: /var/lib/asterisk/bin/module_admin: command not found
    sudo -u asterisk /var/lib/asterisk/bin/module_admin install sysadmin
  • sudo -u asterisk /var/lib/asterisk/bin/module_admin install sysadmin
    sudo: /var/lib/asterisk/bin/module_admin: command not found
    sudo -u asterisk /var/lib/asterisk/bin/module_admin --repos extended download dahdiconfig
  • sudo -u asterisk /var/lib/asterisk/bin/module_admin --repos extended download dahdiconfig
    sudo: /var/lib/asterisk/bin/module_admin: command not found
    sudo -u asterisk /var/lib/asterisk/bin/module_admin --repos extended install dahdiconfig
  • sudo -u asterisk /var/lib/asterisk/bin/module_admin --repos extended install dahdiconfig
    sudo: /var/lib/asterisk/bin/module_admin: command not found
    sudo -u asterisk /var/lib/asterisk/bin/module_admin --repos commercial installall
  • sudo -u asterisk /var/lib/asterisk/bin/module_admin --repos commercial installall
    sudo: /var/lib/asterisk/bin/module_admin: command not found
    sudo -u asterisk /var/lib/asterisk/bin/module_admin download motif
  • sudo -u asterisk /var/lib/asterisk/bin/module_admin download motif
    sudo: /var/lib/asterisk/bin/module_admin: command not found
    sudo -u asterisk /var/lib/asterisk/bin/module_admin install motif
  • sudo -u asterisk /var/lib/asterisk/bin/module_admin install motif
    sudo: /var/lib/asterisk/bin/module_admin: command not found
    sudo -u asterisk /var/lib/asterisk/bin/retrieve_conf
  • sudo -u asterisk /var/lib/asterisk/bin/retrieve_conf
    sudo: /var/lib/asterisk/bin/retrieve_conf: command not found
    sudo -u asterisk /var/lib/asterisk/bin/module_admin reload
  • sudo -u asterisk /var/lib/asterisk/bin/module_admin reload
    sudo: /var/lib/asterisk/bin/module_admin: command not found
    errexiton
  • errexiton
  • set -o errexit
  • trap traperr ERR

Sysadmin RPM for Sysadmin Module Moved to Firstboot or we can create the incrontab

/usr/bin/yum -q -y install sysadmin-*

  • /usr/bin/yum -q -y install 'sysadmin-*'
    no table for root
    copying table from file '-'
    Shutting down Filesystem event daemon (incrond): e[60G[e[0;32m OK e[0;39m]
    Starting Filesystem event daemon (incrond): e[60G[e[0;32m OK e[0;39m]

Install dahdi.conf file

/usr/bin/yum -q -y install schmooze-dahdi-*

  • /usr/bin/yum -q -y install 'schmooze-dahdi-*'
    Package schmooze-dahdi-1.0.0-2.noarch already installed and latest version

Install wanpipe for Sangoma Cards

/usr/bin/yum -q -y install wanpipe-7*

  • /usr/bin/yum -q -y install 'wanpipe-7*'
    FATAL: Could not open ‘/boot/System.map-2.6.32-279.11.1.el6’: No such file or directory
    No existing Wanpipe configuration found…
    Shutting down system logger: e[60G[e[0;32m OK e[0;39m]
    Starting system logger: e[60G[e[0;32m OK e[0;39m]
    Shutting down system logger: e[60G[e[0;32m OK e[0;39m]
    Starting system logger: e[60G[e[0;32m OK e[0;39m]
    *** Sangoma Wanpipe was successfully installed.
    Hardware Probe: /usr/sbin/wanrouter hwprobe
    Wanpipe Config: /usr/sbin/wancfg_fs
    Wanpipe Start : /usr/sbin/wanrouter start

Install iSymphony

/usr/bin/yum -q -y install iSymphonyServer-fpbx-*

  • /usr/bin/yum -q -y install ‘iSymphonyServer-fpbx-*’

FATAL: can not find freepbx_engine to start Asterisk
sudo: /var/lib/asterisk/bin/module_admin: command not found
sudo: /var/lib/asterisk/bin/retrieve_conf: command not found
/opt/isymphony/server /
Configuring SysV initscript…
Turning iSymphonyServer on via chkconfig…
Launching iSymphonyServer via service facilities…
iSymphonyServer
Daemonizing
[ OK ]
/
sudo -u asterisk /var/lib/asterisk/bin/retrieve_conf

  • sudo -u asterisk /var/lib/asterisk/bin/retrieve_conf
    sudo: /var/lib/asterisk/bin/retrieve_conf: command not found
    traperr
    ++ traperr
    ++ declare -i i
    ++ declare -i nestlevel
    ++ declare Message=
    ++ nestlevel=2
    ++ (( 2 <= 2 ))
    ++ echo 'ERROR: /etc/pbx_first_boot.sh:162 '
    ERROR: /etc/pbx_first_boot.sh:162
    ++ (( 0 >= 3 ))
    ++ echo -e ‘Some firstboot error occured, and the system is not properly setup.\nCheck to see if you have internet access and re-run /etc/pbx_first_boot.sh\nPress ctrl-alt-f1 to continue’
    ++ exit 1

Not using vSphere but no problem installing it on VMWare Workstation 9.

Same problem here, installing on VM ESXi 5.1 server.

i think this is related? :: http://www.freepbx.org/trac/ticket/6577 but it doesn’t mention anything about a fix directly. I don’t really want to use the previous distro if i have to (FreePBX 2.10/Centos 6.2)…

The last chunk of my firstboot.log:

... # Sysadmin RPM for Sysadmin Module Moved to Firstboot or we can create the incrontab /usr/bin/yum -q -y install sysadmin-* + /usr/bin/yum -q -y install 'sysadmin-*'

Install dahdi.conf file

/usr/bin/yum -q -y install schmooze-dahdi-*

  • /usr/bin/yum -q -y install ‘schmooze-dahdi-*’

Install wanpipe for Sangoma Cards

/usr/bin/yum -q -y install wanpipe-7*

  • /usr/bin/yum -q -y install 'wanpipe-7*'
    Error: Nothing to do
    traperr
    ++ traperr
    ++ declare -i i
    ++ declare -i nestlevel
    ++ declare Message=
    ++ nestlevel=2
    ++ (( 2 <= 2 ))
    ++ echo 'ERROR: /etc/pbx_first_boot.sh:158 '
    ERROR: /etc/pbx_first_boot.sh:158
    ++ (( 0 >= 3 ))
    ++ echo -e 'Some firstboot error occured, and the system is not properly setup.\nCheck to see if yo$
    ++ exit 1

It should be resolved now.

I’ve just re-run the pbx_first_boot.sh script again but no to avail - is there something further i have to do to resolve?

try a yum clean all first to clear out your yum cache.

had the exact same issue, doing a yum update now,
so if you dont hear from me it worked :slight_smile:

tnx in advance

Ok did a yum clean all, then a yum update, during the updating of the packages i got the following error:

Updating : freepbx-2.11.0-118.noarch 16/38
FreePBX has not been upgraded. Please upgrade FreePBX through Module Admin.
Updating : iSymphonyServer-fpbx-2.8.0_4295-1.noarch 17/38

FATAL: can not find freepbx_engine to start Asterisk
sudo: /var/lib/asterisk/bin/module_admin: command not found
sudo: /var/lib/asterisk/bin/retrieve_conf: command not found

after the update i tried to do a sip show peers, but get the below issue so obviously module issue still exists.

[[email protected] ~]# asterisk -r
localhost*CLI> sip show peers
No such command ‘sip show peers’ (type ‘core show help sip show’ for other possible commands)

Also this folder is still empty

ls /var/lib/asterisk/bin/

[[email protected] ~]# amportal restart

FATAL: can not find freepbx_engine to start Asterisk

If i try go to it via the web browser i get the following error reported by my browser

HTTP Error 500 (Internal Server Error): An unexpected condition was encountered while the server was attempting to fulfill the request.

For anyone reading the aforementioned, I’m no longer experiencing any issues when I use the newer FreePBX-3.211.63-9-x86_64-1369279793.iso (as of may 27th).

Gr.,

Bas